package cn.iocoder.yudao.module.infra.api.file.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.InputStream;

@Data
public class FileRespDto {

    /**
     * 编号，数据库自增
     */
    private Long id;

    /**
     * 路径，即文件名
     */
    private String path;
    /**
     * 访问地址
     */
    private String url;
    /**
     * 文件类型
     *
     * 通过 {@link cn.hutool.core.io.FileTypeUtil#getType(InputStream)} 获取
     */
    @TableField(value = "`type`")
    private String type;
    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 文件名称
     */
    @TableField(exist = false)
    private String fileName;
}
